#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/install.sh - libncurses installation
#
# Creation   :  2017-12-05 holbru
# Last update:  $Id: postinstall-libncurses.sh 47873 2017-12-13 22:01:17Z hbfl $
#
# Copyright (c) 2017-2017 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=libncurses

# ---------------------------------------------------------------------------
# update-2.8.1
# ---------------------------------------------------------------------------
update_2_8_1()
{

installed=$(eisman query --installed --unstable --fields='version' ncurses-dev | grep '2.8.0')

if [ -z "${installed}" ]
then
    rm -f /usr/bin/captoinfo
    rm -f /usr/bin/tic
    rm -f /usr/bin/infocmp
    rm -f /usr/bin/infotocap
fi

installed=$(eisman query --installed --unstable --fields='version' tack | grep '2.8.0')

if [ -z "${installed}" ]
then
    rm -f /usr/bin/tack
fi

installed=$(eisman query --installed --unstable --fields='version' ncurses-utils | grep '2.8.0')

if [ -z "${installed}" ]
then
    rm -f /usr/bin/clear
    rm -f /usr/bin/reset
    rm -f /usr/bin/tabs
    rm -f /usr/bin/toe
    rm -f /usr/bin/tput
    rm -f /usr/bin/tset
fi

}

# ---------------------------------------------------------------------------
# main
# ---------------------------------------------------------------------------

base_version=$(sed -e 's/[svn|cvs].*$//; s/\./_/g' /etc/version)

update_${base_version}

# remove filelist
rm -f /etc/filelist.d/${package_name}-files.txt

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
